squid_unix_group(8)

NAME
squid_unix_group - Squid UNIX Group external_acl helper

SYNOPSIS
squid_unix_group [-g groupname] [-g groupname...] [-p] [-s]

DESCRIPTION
This helper allows Squid to base access controls on users memberships in UNIX groups.

-g groupname
    Specifies a group name to match.

-p  Also match the users primary group from /etc/passwd

-s  Strip NT domain name component from user names (/ or \ separated)

EXAMPLES
This squid.conf example defines two Squid acls. usergroup1 matches users in group1, and usergroup2 matches users in group2 or group3

    external_acl_type unix_group %LOGIN /usr/local/squid/libexec/squid_unix_group -p

    acl usergroup1 external unix_group group1

    acl usergroup2 external unix_group group2 group3

NOTES
By default up to 11 groups can be matched in one acl (including commandline specified groups). This limit is defined by MAX_GROUPS in the source code.

AUTHOR
This manual page was written by Henrik Nordstrom <hno@squid-cache.org>

squid_unix_group is written by Rodrigo Campos <rodrigo@geekbunker.org>

KNOWN ISSUES
Does not understand gid aliased groups sometimes used to work around groups size limitations. If you are using gid aliased groups then you must specify each alias by name.

QUESTIONS
Any questions on usage can be sent to Squid Users <squid-users@squid-cache.org>

REPORTING BUGS
Report bugs or bug-fixes to Rodrigo Campos <rodrigo@geekbunker.org> or Squid Developers <squid-dev@squid-cache.org>

SEE ALSO
group(5),passwd(5)